<?php $this->view('ajax_loading_v'); ?>

<?php if (isset($msg_text)): ?>
    <script type="text/javascript">
        $(function() {
            var msg_text = "<?php echo $msg_text; ?>";
            $.facebox(msg_text);
        });
    </script>
<?php endif; ?>

<script type="text/javascript">
    var btn_select = '0';

    $(function() {
        $('#alert_frm').css('display', 'none');
        $("#myform").validate();

        $.metadata.setType("attr", "validate");
        $('input.right').formatCurrency('number');
        $("#rdate").mask("99/99/9999");
        $("#start_time").mask("99:99");
        $("#end_time").mask("99:99");
        $("#start_time2").mask("99:99");
        $("#end_time2").mask("99:99");
        
        $('#myTab a').click(function(e) {
            e.preventDefault();
            $(this).tab('show');
        });

        $('#div_alert .close').live('click', function() {
            $(this).parent().hide();
        });

        load_div_grid_tmp();
    });

    function save() {
        var ret = '';
        if ($('#rdate').val() == '') {
            ret += 'คุณต้องเลือก วันที่จอง ก่อน !! \n';
        }
        if ($('#start_time').val() == $('#end_time').val()) {
            ret += 'ช่วงเวลาต้องแตกต่างกัน !! \n';
        }
        if ($('#end_time').val() <= $('#start_time').val()) {
            ret += 'ช่อง เวลาถึง ต้องมีค่ามากกว่า ช่อง จากเวลา !! \n';
        }
        if ($('#car_id').val() == '') {
            ret += 'คุณต้องเลือกรถที่ต้องการจอง !! \n';
        }

        if (ret != '') {
            alert(ret);
            return false;
        }

        var p = {}
        p['name'] = $('name').val();
        p['car_id'] = $('#car_id').val();
        p['rdate'] = $('#rdate').val();
        p['start_time'] = $('#start_time').val();
        p['end_time'] = $('#end_time').val();

        $.ajax({
            data: p,
            url: "<?php echo site_url('carbooking/ajax_validate') ?>",
            type: 'POST',
            dataType: 'json',
            success: function(data) {
                if (data.busy_txt == '') {
                    if ($('#sendemail').val() == '1') {
                        $('#div_message').show();
                    }
                    $('#myform').submit();
                } else {
                    $('#div_alert_text').html(data.busy_txt);
                    $('#div_alert').show();
                }
            },
            error: function() {
                alert('ไม่สามารถบันทึกรายการได้ !!');
            }
        });
        return false;
    }

    //ตรวจสอบรถว่าง
    function check_busy() {
        var p = {}
        p['car_id'] = $('#car_id').val();
        p['rdate'] = $('#rdate').val();
        p['start_time'] = $('#start_time').val();
        p['end_time'] = $('#end_time').val();

        $.ajax({
            data: p,
            url: "<?php echo site_url('carbooking/ajax_checkbusy') ?>",
            type: 'POST',
            dataType: 'json',
            success: function(data) {
                if (data.busy) {
                    $.facebox(data.msg);
                } else {
                    $('#div_alert_text').text(data.msg);
                    $('#div_alert').show();
                }
            },
            error: function() {
                alert('ไม่สามารถทำรายการได้ !!');
            }
        });
        return false;
    }

    function open_car_busy(btn) {
        var p = {}
        var ret = '';

        if (btn == '0') {
            btn_select = '0';
            p['rdate'] = $('#rdate').val();
            p['start_time'] = $('#start_time').val();
            p['end_time'] = $('#end_time').val();

            if ($('#rdate').val() == '') {
                ret += 'คุณต้องเลือก วันที่จอง ก่อน !! \n';
            }
            if ($('#start_time').val() == $('#end_time').val()) {
                ret += 'ช่วงเวลาต้องแตกต่างกัน !! \n';
            }
            if ($('#end_time').val() <= $('#start_time').val()) {
                ret += 'ช่อง เวลาถึง ต้องมีค่ามากกว่า ช่อง จากเวลา !! \n';
            }
        } else {
            btn_select = '1';
            p['rdate'] = $('#rdate2').val();
            p['start_time'] = $('#start_time2').val();
            p['end_time'] = $('#end_time2').val();

            if ($('#rdate2').val() == '') {
                ret += 'คุณต้องเลือก วันที่จอง ก่อน !! \n';
            }
            if ($('#start_time2').val() == $('#end_time2').val()) {
                ret += 'ช่วงเวลาต้องแตกต่างกัน !! \n';
            }
            if ($('#end_time2').val() <= $('#start_time2').val()) {
                ret += 'ช่อง เวลาถึง ต้องมีค่ามากกว่า ช่อง จากเวลา !! \n';
            }
        }

        if (ret != '') {
            alert(ret);
            return false;
        }
        $.ajax({
            data: p,
            url: "<?php echo site_url('car/ajax_carbusy_set_session') ?>",
            type: 'POST',
            success: function() {
                $(this).modal({width: 800, height: 500, src: "<?php echo site_url('car/carbusy_dlg/') ?>"}).open();
            },
            error: function() {
                alert('ไม่สามารถแสดงรายการได้ กรุณาลองใหม่');
            }
        });
        return false;
    }

    function car_dlg_submit(p) {
        if (btn_select == '0') {
            $('#car_id').val(p['car_id']);
            $('#car_code').val(p['car_code']);
        } else {
            $('#car_id2').val(p['car_id']);
            $('#car_code2').val(p['car_code']);
        }
    }

    //แสดงรายการจองเพิ่มเติมวัน
    function load_div_grid_tmp() {
        var p = {};
        $('#div_grid_tmp').load("<?php echo site_url('carbooking/ajax_get_grid_tmp') ?>", p);
        return false;
    }

    //ลบรายการจองเพิ่มเติมวัน
    function grid_btn_del_tmp(id) {
        if (confirm('คุณต้องการลบข้อมูลรายการนี้ ใช่หรือไม่?')) {
            var p = {};
            p['id'] = id;
            $.ajax({
                data: p,
                url: "<?php echo site_url('carbooking/ajax_delete_tmp') ?>",
                type: 'POST',
                dataType: 'json',
                success: function() {
                    load_div_grid_tmp();
                },
                error: function() {
                    alert('ไม่สามารถทำรายการได้ !!');
                }
            });
        }
        return false;
    }

    function save_tmp() {
        var ret = '';
        if ($('#rdate2').val() == '') {
            ret += 'คุณต้องเลือก วันที่จอง ก่อน !! \n';
        }
        if ($('#start_time2').val() == $('#end_time2').val()) {
            ret += 'ช่วงเวลาต้องแตกต่างกัน !! \n';
        }
        if ($('#end_time2').val() <= $('#start_time2').val()) {
            ret += 'ช่อง เวลาถึง ต้องมีค่ามากกว่า ช่อง จากเวลา !! \n';
        }
        if ($('#car_id2').val() == '') {
            ret += 'คุณต้องเลือกรถที่ต้องการจอง !! \n';
        }

        if (ret != '') {
            alert(ret);
            return false;
        } else {
            var p = {};
            p['car_id'] = $('#car_id2').val();
            p['car_code'] = $('#car_code2').val();
            p['rdate'] = $('#rdate2').val();
            p['start_time'] = $('#start_time2').val();
            p['end_time'] = $('#end_time2').val();
            $.ajax({
                data: p,
                url: "<?php echo site_url('carbooking/ajax_save_tmp') ?>",
                type: 'POST',
                dataType: 'json',
                success: function() {
                    load_div_grid_tmp();
                    $('#car_id2').val('');
                    $('#car_code2').val('');
                    $('#rdate2').val('');
                },
                error: function() {
                    alert('ไม่สามารถบันทึกรายการจองเพิ่มเติมได้ !!');
                }
            });
        }
    }
</script>
<div class="textbox">
    <div class="toolbar">
        <div class="pull-left title"><?php echo $page_title; ?></div>
        <div class="pull-right">
            <?php echo anchor('carbooking/news', "<i class='icon-plus'></i> เพิ่มข้อมูล", array('class' => 'btn')); ?>
            <a href="#" class="btn" onclick="return save();"><i class="icon-hdd"></i> บันทึกข้อมูล</a>
            <?php echo anchor('carbooking', "<i class='icon-remove-circle'></i> ปิด", array('class' => 'btn')); ?>
        </div>
        <div class="clear"></div>
    </div>
    <div class="textbox_content">
        <div id="div_alert" class="alert alert-error hide">
            <a class="close" href="#">×</a>
            <div id="div_alert_text"></div>
        </div>
        <div id="div_message" class="alert alert-info" style="display:none">ระบบกำลังบันทึกข้อมูล และทำการส่งอีเมลล์ อาจจะต้องใช้เวลาสักครู....</div>
        <input type='hidden' id="sendemail" value="<?php echo $sendemail; ?>"/>

        <ul class="nav nav-tabs" id="myTab">
            <li class="active"><a href="#e_detail">รายละเอียการจอง</a></li>
            <li><a href="#e_day">เพิ่มวันจอง</a></li>
        </ul>
        <div class="tab-content">
            <div class="tab-pane active" id="e_detail">
                <?php echo form_open('carbooking/save', array('class' => 'form-horizontal', 'id' => 'myform')); ?>
                <input type="hidden" id="id" name="id" value="<?php echo @$row['id']; ?>"/>
                <table border="0" cellpadding="4" cellspacing="1" class="tblform">
                    <tbody>
                        <tr>
                            <td class="td1" width="130">จองใช้รถเพื่อ :<span class="required">*</span></td>
                            <td><input type="text" class="txt required" id="name" name="name" style="width:90%" maxlength="249" value=""/></td>
                        </tr>
                        <tr>
                            <td class="td1">จำนวนผู้โดยสาร :</td>
                            <td>
                                <input type="text" class="txt right" id="amount_people" name="amount_people" value="" style="width:80px"/> คน
                            </td>
                        </tr>
                        <tr>
                            <td class="td1">รายชื่อผู้โดยสาร :</td>
                            <td><textarea rows="2" style="width:90%" name="employee" class="txt"></textarea></td>
                        </tr>
                        <tr>
                            <td class="td1">วันที่จอง :<span class="required">*</span></td>
                            <td>
                                <div class="input-append">
                                    <input type='text' id='rdate' name='rdate' style="width:80px" value="<?php echo @$row['rdate']; ?>" class="required"/>
                                    <span class="btn" type="button" id="cal_rdate" tabindex="-1"><i class="icon-calendar"></i></span>
                                    <script type="text/javascript">
    Calendar.setup({
        inputField: "rdate",
        button: "cal_rdate",
        ifFormat: "%d/%m/%Y"
    });
                                    </script>
                                </div>
                                &nbsp;<b>จากเวลา :</b>
                                <input type="text" id="start_time" name="start_time" style="width:80px"/>
                                &nbsp;<b>ถึงเวลา :</b>
                                <input type="text" id="end_time" name="end_time" style="width:80px"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="td1">ทะเบียนรถ :<span class="required">*</span></td>
                            <td>
                                <input type="hidden" id="car_id" name="car_id"/>
                                <div class="input-append">
                                    <input type='text' id='car_code' name='car_code' class="input-xlarge disabled required" readonly style="width:350px" value=""/>
                                    <span class="btn" type="button" tabindex="-1" onclick="return open_car_busy('0');"><i class="icon-search"></i> เลือกรถว่าง</span>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="td1">รายละเอียด :</td>
                            <td><textarea rows="2" style="width:90%" name="detail" class="txt"></textarea></td>
                        </tr>
                        <tr>
                            <td class="td1">ผู้ติดต่อ :</td>
                            <td><input type="text" class="txt" style="width:90%" name="contact_name" value="<?php echo $member['name']; ?>"/></td>
                        </tr>
                        <tr>
                            <td class="td1">โทรศัพท์ :</td>
                            <td>
                                <input type="text" class="txt" name="contact_tel" style="width:350px" value="<?php echo $member['mobile'] . "," . $member['tel']; ?>"/>
                                <input type="hidden" name="member_id" value="<?php echo @$row['member_id']; ?>"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="td1"></td>
                            <td>
                                <div class="comment">ตรวจสอบข้อมูลให้ครบถ้วนก่อนทำการบันทึก เพราะคุณจะไม่สามารถแก้ไขรายการจองได้ <b>นอกจากทำรายการยกเลิกเท่านั้น !!</b></div>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <?php echo form_close(); ?>
            </div>
            <!-- เพิ่มวันจอง -->
            <div class="tab-pane" id="e_day">
                <?php echo form_open('', array('class' => 'form-horizontal')); ?>
                <table border="0" cellpadding="4" cellspacing="1" class="tblform">
                    <tr>
                        <td class="td1">วันที่จอง :<span class="required">*</span></td>
                        <td>
                            <div class="input-append">
                                <input type='text' id='rdate2' name='rdate' style="width:80px" value="<?php echo @$row['rdate']; ?>"/>
                                <span class="btn" type="button" id="cal_rdate2" tabindex="-1"><i class="icon-calendar"></i></span>
                                <script type="text/javascript">
    Calendar.setup({
        inputField: "rdate2",
        button: "cal_rdate2",
        ifFormat: "%d/%m/%Y"
    });
                                </script>
                            </div>
                                                            &nbsp;<b>จากเวลา :</b>
                                <input type="text" id="start_time2" name="start_time2" style="width:80px"/>
                                &nbsp;<b>ถึงเวลา :</b>
                                <input type="text" id="end_time2" name="end_time2" style="width:80px"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="td1">ทะเบียนรถ :<span class="required">*</span></td>
                        <td>
                            <input type="hidden" id="car_id2" name="car_id2"/>
                            <div class="input-append">
                                <input type='text' id='car_code2' name='car_code2' class="input-xlarge disabled" readonly style="width:350px" value=""/>
                                <span class="btn" type="button" tabindex="-1" onclick="return open_car_busy('1');"><i class="icon-search"></i> เลือกรถว่าง</span>
                            </div>&nbsp;&nbsp;
                            <span class="btn" type="button" tabindex="-1" onclick="return save_tmp();"><i class="icon-ok-sign"></i> ตกลงเพิ่มวันจอง</span>
                        </td>
                    </tr>
                </table>
                <?php echo form_close(); ?>
                <hr/>
                <div id="div_grid_tmp"></div>
            </div>
        </div>
    </div>
</div>
